| OpenSubdiv

Loading...
Searching...
No Matches
SurfaceFactoryCache Class Reference

Container used internally by SurfaceFactory to store reusable information. More...

`#include <surfaceFactoryCache.h>`

Inheritance diagram for SurfaceFactoryCache:

## Public Member Functions
| SurfaceFactoryCache ()
virtual | ~SurfaceFactoryCache ()
| SurfaceFactoryCache (SurfaceFactoryCache const &)=delete
SurfaceFactoryCache & | operator= (SurfaceFactoryCache const &)=delete

## Detailed Description

Container used internally by SurfaceFactory to store reusable information.

SurfaceFactoryCache is a container for storing/caching instances of the internal representation of complex patches used by SurfaceFactory so that they can be quickly identified and retrieved for reuse.

It is intended for internal use by SurfaceFactory. Public access is available but limited to construction only – allowing an instance to be reused by assigning it to more than one SurfaceFactory.

Definition at line 59 of file surfaceFactoryCache.h.

## Constructor & Destructor Documentation

## ◆ SurfaceFactoryCache() [1/2]

SurfaceFactoryCache | ( |  | ) |

## ◆ ~SurfaceFactoryCache()

virtual ~SurfaceFactoryCache | ( |  | ) |
| virtual

## ◆ SurfaceFactoryCache() [2/2]

SurfaceFactoryCache | ( | SurfaceFactoryCache const & |  | ) |
| delete

## Member Function Documentation

## ◆ operator=()

SurfaceFactoryCache & operator= | ( | SurfaceFactoryCache const & |  | ) |
| delete

The documentation for this class was generated from the following file:

- opensubdiv/bfr/surfaceFactoryCache.h